#!/bin/sh
#
# activate driver for new vid/pid
# $1 = VID, $2 = PID, $3 = kernel ID
#

PATH=/usr/bin:/bin:/usr/sbin:/sbin

# 16 seconds max. wait time for ZTE to switch
ZTE_WAIT=16

# try to switch with the eject tool
# run this as a seperate process in oder not to delay udev
(
    for i in `seq ${ZTE_WAIT}` ; do
        if [ -d /sys/bus/usb-serial/drivers/option1/ttyUSB1 ] ; then
            exit 0
        fi
    
        eject $3

        sleep 1
    done
) < /dev/null > /dev/null 2>&1 &

